Categories:
  - Games
License: GPL-3.0-or-later
WebSite: https://anuke.itch.io/mindustry
SourceCode: https://github.com/Anuken/Mindustry
IssueTracker: https://github.com/Anuken/Mindustry/issues
Translation: https://github.com/Anuken/Mindustry/blob/HEAD/TRANSLATING.md
Changelog: https://github.com/Anuken/Mindustry/releases

AutoName: Mindustry

RepoType: git
Repo: https://github.com/Anuken/Mindustry.git

Builds:
  - versionName: 4-fdroid-89
    versionCode: 89
    commit: v89
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$(expr $$VERCODE$$ - 2)" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "number=4" >> ../core/assets/version.properties
    scanignore:
      - core/assets/saves
    scandelete:
      - android/libs
    gradleprops:
      - buildversion=89
      - versionType=fdroid

  - versionName: 4-fdroid-93
    versionCode: 93
    commit: v93
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$$VERCODE$$" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "number=4" >> ../core/assets/version.properties
      - echo "buildversion=$$VERCODE$$" >> gradle.properties
      - echo "versionType=fdroid" >> gradle.properties
      - grep archash ../gradle.properties >> gradle.properties
    scandelete:
      - android/libs

  - versionName: 4-fdroid-95
    versionCode: 95
    commit: v95
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$$VERCODE$$" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "number=4" >> ../core/assets/version.properties
      - echo "buildversion=$$VERCODE$$" >> gradle.properties
      - echo "versionType=fdroid" >> gradle.properties
      - grep archash ../gradle.properties >> gradle.properties
    scandelete:
      - android/libs

  - versionName: 4-fdroid-96
    versionCode: 96
    commit: v96
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$$VERCODE$$" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "number=4" >> ../core/assets/version.properties
      - echo "buildversion=$$VERCODE$$" >> gradle.properties
      - echo "versionType=fdroid" >> gradle.properties
      - grep archash ../gradle.properties >> gradle.properties
    scandelete:
      - android/libs

  - versionName: 5-fdroid-98
    versionCode: 98
    commit: v98
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$$VERCODE$$" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "buildversion=$$VERCODE$$" >> gradle.properties
      - echo "versionType=fdroid" >> gradle.properties
      - grep archash ../gradle.properties >> gradle.properties
    scandelete:
      - android/libs

  - versionName: 5-fdroid-99
    versionCode: 99
    commit: v99
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$$VERCODE$$" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "buildversion=$$VERCODE$$" >> gradle.properties
      - echo "versionType=fdroid" >> gradle.properties
      - grep archash ../gradle.properties >> gradle.properties
    scandelete:
      - android/libs

  - versionName: 5-fdroid-102
    versionCode: 102
    commit: v102
    subdir: android
    gradle:
      - yes
    prebuild:
      - echo "androidBuildCode=$$VERCODE$$" > ../core/assets/version.properties
      - echo "build=$$VERCODE$$" >> ../core/assets/version.properties
      - echo "modifier=beta" >> ../core/assets/version.properties
      - echo "type=fdroid" >> ../core/assets/version.properties
      - echo "buildversion=$$VERCODE$$" >> gradle.properties
      - echo "versionType=fdroid" >> gradle.properties
      - grep archash ../gradle.properties >> gradle.properties
    scanignore:
      - android/src/mindustry/android/AndroidRhinoContext.java
    scandelete:
      - android/libs
      - annotations/src/main/resources/DS_Store

MaintainerNotes: |-
    libgdx.so and libgdx-freetype.so binaries are extracted from
    com.badlogicgames.gdx:gdx-platform JARs that come from Maven Central.

    The folder "assets/saves" contains savegames not executables.

    android/src/mindustry/android/AndroidRhinoContext.java uses DexClassLoader 
    together with Mozilla's Rhino to provide JavaScript automation to user mods
    (https://mindustrygame.github.io/wiki/modding/) 

AutoUpdateMode: Version v%c
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/Anuken/MindustryBuilds/master/version_fdroid.txt|versionCode=(.*)|.|versionName=(.*)
CurrentVersion: 5-fdroid-102
CurrentVersionCode: 102
